ON_3dmViewPosition Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h>`

## Public Member Functions

| ON_3dmViewPosition ()
| ~ON_3dmViewPosition ()
| ON_3dmViewPosition (const ON_3dmViewPosition &)
ON_3dmViewPosition & | operator= (const ON_3dmViewPosition &)
void | Default ()
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)

## Public Attributes

double | m_wnd_left
double | m_wnd_right
double | m_wnd_top
double | m_wnd_bottom
ON_BOOL32 | m_bMaximized
unsigned char | m_floating_viewport

## Detailed Description

Definition at line 304 of file opennurbs_3dm_settings.h.

## Constructor & Destructor Documentation

ON_3dmViewPosition::ON_3dmViewPosition | ( |  | ) |

ON_3dmViewPosition::~ON_3dmViewPosition | ( |  | ) |

ON_3dmViewPosition::ON_3dmViewPosition | ( | const ON_3dmViewPosition & |  | ) |

## Member Function Documentation

void ON_3dmViewPosition::Default | ( |  | ) |

ON_3dmViewPosition& ON_3dmViewPosition::operator= | ( | const ON_3dmViewPosition & |  | ) |

bool ON_3dmViewPosition::Read | ( | ON_BinaryArchive & |  | ) |

bool ON_3dmViewPosition::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

ON_BOOL32 ON_3dmViewPosition::m_bMaximized

Definition at line 325 of file opennurbs_3dm_settings.h.

unsigned char ON_3dmViewPosition::m_floating_viewport

Definition at line 331 of file opennurbs_3dm_settings.h.

double ON_3dmViewPosition::m_wnd_bottom

Definition at line 324 of file opennurbs_3dm_settings.h.

double ON_3dmViewPosition::m_wnd_left

Definition at line 321 of file opennurbs_3dm_settings.h.

double ON_3dmViewPosition::m_wnd_right

Definition at line 322 of file opennurbs_3dm_settings.h.

double ON_3dmViewPosition::m_wnd_top

Definition at line 323 of file opennurbs_3dm_settings.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h